﻿using Windows.Foundation;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Media.Animation;
using Windows.UI.Xaml.Navigation;

namespace ProjectionDemo
{
    public sealed partial class MainPage : Page
    {
        private Point pt;

        public MainPage()
        {
            this.InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            this.LayoutRoot.PointerMoved += LayoutRoot_PointerMoved;
            CompositionTarget.Rendering += CompositionTarget_Rendering;
        }

        private void LayoutRoot_PointerMoved(object sender, Windows.UI.Xaml.Input.PointerRoutedEventArgs e)
        {
            pt = e.GetCurrentPoint(this.LayoutRoot).Position;
        }

        private void CompositionTarget_Rendering(object sender, object e)
        {
            image1Projection.RotationY += ((pt.X - (LayoutRoot.ActualWidth / 2)) / LayoutRoot.ActualWidth) * 10;
            image2Projection.RotationY += ((pt.X - (LayoutRoot.ActualWidth / 2)) / LayoutRoot.ActualWidth) * 10;
            image3Projection.RotationY += ((pt.X - (LayoutRoot.ActualWidth / 2)) / LayoutRoot.ActualWidth) * 10;
            image4Projection.RotationY += ((pt.X - (LayoutRoot.ActualWidth / 2)) / LayoutRoot.ActualWidth) * 10;
            image5Projection.RotationY += ((pt.X - (LayoutRoot.ActualWidth / 2)) / LayoutRoot.ActualWidth) * 10;
            //image6Projection.RotationY += ((pt.X - (LayoutRoot.ActualWidth / 2)) / LayoutRoot.ActualWidth) * 10;
            image1.Opacity = (pt.Y / LayoutRoot.ActualHeight) * 0.5 + 0.5;
            image2.Opacity = (pt.Y / LayoutRoot.ActualHeight) * 0.5 + 0.5;
            image3.Opacity = (pt.Y / LayoutRoot.ActualHeight) * 0.5 + 0.5;
            image4.Opacity = (pt.Y / LayoutRoot.ActualHeight) * 0.5 + 0.5;
            image5.Opacity = (pt.Y / LayoutRoot.ActualHeight) * 0.5 + 0.5;
            //image6.Opacity = (pt.Y / LayoutRoot.ActualHeight) * 0.5 + 0.5;
        }

        private void rotateButton_Click(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            var storyboard = this.LayoutRoot.Resources["projectionStoryboard"] as Storyboard;
            storyboard.Begin();
        }
    }
}
