﻿using System;
using ClipboardDemo.Areas;
using Windows.ApplicationModel.DataTransfer;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Navigation;

namespace ClipboardDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            // Für Änderungen der Zwischenablage anmelden
            Clipboard.ContentChanged += new EventHandler<object>(this.RegisterClipboardChangeEventHandler);
        }

        private void RegisterClipboardChangeEventHandler(object sender, object e)
        {
            string displayString = "";
            var dataPackageView = Clipboard.GetContent();
            if (dataPackageView != null && dataPackageView.AvailableFormats.Count > 0)
            {
                displayString = "Verfügbare Formate:" + Environment.NewLine;
                var list = dataPackageView.AvailableFormats;
                foreach (var format in list)
                {
                    displayString += " - " + format + Environment.NewLine;
                }
            }
            else
            {
                displayString = "(Die Zwischenablage enthält keinen Inhalt)";
            }
            this.outputTextBox.Text = displayString;
        }

        private void RadioButton_Checked(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            UserControl area = null;
            string title = string.Empty;
            if (sender == this.copyTextButton)
            {
                area = new CopyTextArea();
                title = "Text kopieren";
            }
            else if (sender == this.copyImageButton)
            {
                area = new CopyImageArea();
                title = "Bilder kopieren";
            }
            else if (sender == this.copyFileButton)
            {
                area = new CopyFileArea();
                title = "Dateien kopieren";
            }

            if (area != null)
            {
                this.contentBorder.Child = area;
                this.titleTextBlock.Text = title;
            }
        }
    }
    public class TestData
    {
        public string TestMessage { get; set; }
    }
}
