﻿using System;
using System.Globalization;
using Windows.ApplicationModel.Resources.Core;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Navigation;

namespace LocalizationDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            // Direktes Laden einer String-Ressource
            var loader = new Windows.ApplicationModel.Resources.ResourceLoader();
            this.textBlock2.Text = loader.GetString("Farewell");
            
            // Indirektes Laden einer String-Ressource (wenn sich die aktuelle Sprache ändert)
            ResourceManager.Current.DefaultContext.QualifierValues.MapChanged += async (s, m) =>
            {
                await this.textBlock2.Dispatcher.RunAsync(Windows.UI.Core.CoreDispatcherPriority.Normal, () =>
                {
                    this.textBlock2.Text = ResourceManager.Current.MainResourceMap.GetValue("Resources/Farewell").ValueAsString;
                });
            }; 
        }
    }
}
