﻿using MVVMDemo.Data;
using MVVMDemo.ViewModels;
using MVVMDemo.Views;
using Neumann.MVVMHelpers;
using Windows.ApplicationModel.Activation;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace MVVMDemo
{
    sealed partial class App : Application
    {
        public App()
        {
            this.InitializeComponent();
        }

        protected override void OnLaunched(LaunchActivatedEventArgs args)
        {
            if (args.PreviousExecutionState == ApplicationExecutionState.Running)
            {
                Window.Current.Activate();
                return;
            }

            // Datenquelle erstellen
            var sampleData = new SampleDataSource();
            
            // ViewModel-/View-Mapping erstellen
            ViewModelMapper.Current.Map<ItemsViewModel, ItemsPage>();
            ViewModelMapper.Current.Map<SplitViewModel, SplitPage>();

            // View öffnen
            var rootFrame = new Frame();
            if (rootFrame.Navigate(typeof(ItemsPage), sampleData.ItemGroups))
            {
                Window.Current.Content = rootFrame;
                Window.Current.Activate();
            }
        }
    }
}
