﻿using Neumann.MVVMHelpers;
using MVVMDemo.Data;
using Windows.UI.Xaml.Data;
using MVVMDemo.Views;

namespace MVVMDemo.ViewModels
{
    public class ItemsViewModel : ViewModelBase
    {
        private ICollectionView _itemsView;
        private DelegateCommand _showSnappedCommand;
        private string _visualState;

        public ItemsViewModel()
        {
            if (Windows.ApplicationModel.DesignMode.DesignModeEnabled) return;
            var data = new SampleDataSource().ItemGroups;
            this.ItemsView = this.CreateCollectionView(data);
            this.ItemsView.CurrentChanged += this.OnCurrentItemChanged;

            this.VisualState = "FullScreenLandscape";
            this.ShowSnappedCommand = new DelegateCommand(this.OnExecuteShowSnappedCommand);
        }

        private void OnCurrentItemChanged(object sender, object e)
        {
            this.Navigate(typeof(SplitViewModel), this.ItemsView.CurrentItem);
        }

        public ICollectionView ItemsView
        {
            get { return _itemsView; }
            set { this.SetProperty<ICollectionView>(ref _itemsView, value); }
        }

        public string VisualState
        {
            get { return _visualState; }
            set { this.SetProperty<string>(ref _visualState, value); }
        }

        public DelegateCommand ShowSnappedCommand
        {
            get { return _showSnappedCommand; }
            set { this.SetProperty<DelegateCommand>(ref _showSnappedCommand, value); }
        }

        private void OnExecuteShowSnappedCommand(object parameter)
        {
            this.VisualState = this.VisualState == "Snapped" ? "FullScreenLandscape" : "Snapped";
        }
    }
}
