﻿using Windows.UI.Xaml;

namespace Neumann.MVVMHelpers
{
    public static class ElementHelpers
    {
        public static T FindParent<T>(DependencyObject element) where T : DependencyObject
        {
            if (element != null)
            {
                if (element is T)
                    return element as T;
                if (element is FrameworkElement)
                    return FindParent<T>(((FrameworkElement)element).Parent);
            }
            return default(T);
        }
    }
}
