﻿using System;
using System.Collections.ObjectModel;
using VisualStatesDemo.Common;
using Windows.UI.Xaml.Media.Imaging;

namespace VisualStatesDemo.Model
{
    public class Fruit : BindableBase
    {
        private string _name;
        private BitmapImage _imageUri;

        public string Name
        {
            get { return _name; }
            set { SetProperty<string>(ref _name, value); }
        }

        public BitmapImage ImageUri
        {
            get { return _imageUri; }
            set { SetProperty<BitmapImage>(ref _imageUri, value); }
        }
    }
    public class FruitsRepository
    {
        public FruitsRepository()
        {
            this.Fruits = new ObservableCollection<Fruit>()
            {
                new Fruit { Name = "Ananas", ImageUri = new BitmapImage(new Uri("ms-appx:///Assets/Ananas.jpg", UriKind.Absolute)) },
                new Fruit { Name = "Apfel", ImageUri = new BitmapImage(new Uri("ms-appx:///Assets/Apfel.jpg", UriKind.Absolute)) },
                new Fruit { Name = "Birne", ImageUri = new BitmapImage(new Uri("ms-appx:///Assets/Birne.jpg", UriKind.Absolute)) },
                new Fruit { Name = "Drachenfrucht", ImageUri = new BitmapImage(new Uri("ms-appx:///Assets/Drachenfrucht.jpg", UriKind.Absolute)) },
                new Fruit { Name = "Erdbeere", ImageUri = new BitmapImage(new Uri("ms-appx:///Assets/Erdbeere.jpg", UriKind.Absolute)) },
                new Fruit { Name = "Himbeere", ImageUri = new BitmapImage(new Uri("ms-appx:///Assets/Himbeere.jpg", UriKind.Absolute)) },
                new Fruit { Name = "Kirsche", ImageUri = new BitmapImage(new Uri("ms-appx:///Assets/Kirsche.jpg", UriKind.Absolute)) },
                new Fruit { Name = "Kiwi", ImageUri = new BitmapImage(new Uri("ms-appx:///Assets/Kiwi.jpg", UriKind.Absolute)) },
                new Fruit { Name = "Limette", ImageUri = new BitmapImage(new Uri("ms-appx:///Assets/Limette.jpg", UriKind.Absolute)) },
                new Fruit { Name = "Melone", ImageUri = new BitmapImage(new Uri("ms-appx:///Assets/Melone.jpg", UriKind.Absolute)) },
                new Fruit { Name = "Orange", ImageUri = new BitmapImage(new Uri("ms-appx:///Assets/Orange.jpg", UriKind.Absolute)) },
                new Fruit { Name = "Traube", ImageUri = new BitmapImage(new Uri("ms-appx:///Assets/Traube.jpg", UriKind.Absolute)) },
                new Fruit { Name = "Zitrone", ImageUri = new BitmapImage(new Uri("ms-appx:///Assets/Zitrone.jpg", UriKind.Absolute)) },
            };
        }
        private ObservableCollection<Fruit> _fruits;

        public ObservableCollection<Fruit> Fruits
        {
            get { return _fruits; }
            set { _fruits = value; }
        }
    }

}
