﻿using PushNotificationService.Models;
using PushNotificationService.Services;
using System.Web.Mvc;
using System.Xml;

namespace PushNotificationService.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(FormCollection parameters)
        {
            var message = parameters["Message"];
            string tileMessage = string.Format(
              @"<tile>
                  <visual>
                    <binding template=""TileSquarePeekImageAndText01"">
                      <image id=""1"" src=""https://public.blu.livefilestore.com/y1p357ks99PNpwp0XZddWbT7PAJZLgggykL5jGjThunqNVMECo0Hx1FCsozw9D8kYrh9qIP4ouihq4wYYwzvxy9ww/Square.png""/>
                      <text id=""1"">{0}</text>
                    </binding>   
                    <binding template=""TileWideImageAndText01"">
                      <image id=""1"" src=""https://public.blu.livefilestore.com/y1pL_VG8MNyQt5x7W2jgehbywzm9EZNvWzNPRqiIjYYGx9m4WLiRTpzzcnoxKpsDYR_jY51dihe0V6-uMK0cnzHQA/Wide.png""/>
                      <text id=""1"">{0}</text>
                    </binding>   
                  </visual>
                </tile>", message);

            XmlDocument document = new XmlDocument();
            document.LoadXml(tileMessage);
            MessageRepository.Add(document.InnerXml);
            foreach (var uri in SubscriptionRepository.GetList())
            {
                PushNotificationManager.PushNotification(uri, document.InnerXml, "");
            }
            return View();
        }
    }
}
