﻿using System;
using System.Collections.Generic;
using System.Net.Http;
using Windows.Networking.PushNotifications;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;

namespace PushNotificationsDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void OnToggleButtonChecked(object sender, RoutedEventArgs e)
        {
            bool subscribe = ((ToggleButton)sender).IsChecked.Value;
            this.CreatePushNotificationChannel(subscribe);
        }

        private async void CreatePushNotificationChannel(bool subscribe)
        {
            // Push Notification Channel erstellen
            PushNotificationChannel channel = 
                await PushNotificationChannelManager.CreatePushNotificationChannelForApplicationAsync();

            // Für Push-Notifications anmelden
            using (var client = new HttpClient())
            {
                string serviceUri = "http://localhost:1624/Notification/" + (subscribe ? "Subscribe" : "Unsubscribe");
                var parameters = new Dictionary<string, string>();
                parameters["channelUri"] = channel.Uri;
                await client.PostAsync(serviceUri, new FormUrlEncodedContent(parameters));
            }
        }
    }
}
