﻿using System;
using System.Collections.Generic;
using Windows.Storage;
using Windows.Storage.AccessCache;
using Windows.Storage.Pickers;
using Windows.Storage.Streams;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Media.Imaging;
using Windows.UI.Xaml.Navigation;

namespace ApplicationDataDemo
{
    public sealed partial class MainPage : Page
    {
        private ApplicationDataContainer _currentAppDataContainer;

        public MainPage()
        {
            this.InitializeComponent();
        }

        private async void openButton_Click_1(object sender, RoutedEventArgs e)
        {
            // ggf. neuen Container anlegen
            //ApplicationDataContainer container = _currentAppDataContainer.CreateContainer("ViewOptions", ApplicationDataCreateDisposition.Always);
            //container.Values["CurrentView"] = 1;

            if (!_currentAppDataContainer.Values.ContainsKey("MySetting"))
            {
                _currentAppDataContainer.Values["MySetting"] = "MySettingValue";
            }
            uint version = ApplicationData.Current.Version;
            this.contentTextBox.Text = _currentAppDataContainer.Values["MySetting"].ToString();

            // ApplicationDataCompositeValue erstellen/ermitteln
            if (!_currentAppDataContainer.Values.ContainsKey("Coordinates"))
            {
                ApplicationDataCompositeValue coordinate = new ApplicationDataCompositeValue();
                coordinate.Add("X", 10);
                coordinate.Add("Y", 20);
                _currentAppDataContainer.Values["Coordinates"] = coordinate;
            }
            ApplicationDataCompositeValue coordinates = ApplicationData.Current.RoamingSettings.Values["Coordinates"] as ApplicationDataCompositeValue;
            int x = (int)coordinates["X"];
            int y = (int)coordinates["Y"];
        }

        private void saveButton_Click_1(object sender, RoutedEventArgs e)
        {
            _currentAppDataContainer.Values["MySetting"] = this.contentTextBox.Text;

            // ApplicationDataCompositeValue erstellen
            ApplicationDataCompositeValue coordinates = new ApplicationDataCompositeValue();
            coordinates.Add("X", 10);
            coordinates.Add("Y", 20);
            _currentAppDataContainer.Values["Coordinates"] = coordinates;
        }

        private void localRadioButton_Checked(object sender, RoutedEventArgs e)
        {
            _currentAppDataContainer = ApplicationData.Current.LocalSettings;
        }

        private void roamingRadioButton_Checked(object sender, RoutedEventArgs e)
        {
            _currentAppDataContainer = ApplicationData.Current.RoamingSettings;
        }
    }
}
