﻿using Windows.Storage;
using Windows.UI.ApplicationSettings;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;

namespace ApplicationDataDemo
{
    public sealed partial class SettingsPage : UserControl
    {
        public SettingsPage()
        {
            this.InitializeComponent();
            this.Loaded += SettingsPage_Loaded;
        }

        private void SettingsPage_Loaded(object sender, RoutedEventArgs e)
        {
            // Einstellung laden (oder Anlegen, wenn noch nicht vorhanden)
            if (!ApplicationData.Current.RoamingSettings.Values.ContainsKey("Option1"))
                ApplicationData.Current.RoamingSettings.Values.Add("Option1", true);
            bool option1 = (bool)ApplicationData.Current.RoamingSettings.Values["Option1"];
            this.optionToggleSwitch.IsOn = option1;
        }

        private void optionToggleSwitch_Toggled(object sender, RoutedEventArgs e)
        {
            // Einstellung speichern
            if (this.optionToggleSwitch != null)
            {
                bool option1 = this.optionToggleSwitch.IsOn;
                ApplicationData.Current.RoamingSettings.Values["Option1"] = option1;
            }
        }

        private void backButtonClicked(object sender, RoutedEventArgs e)
        {
            // Popup schließen
            if (this.Parent.GetType() == typeof(Popup))
            {
                ((Popup)this.Parent).IsOpen = false;
            }
            // Standard-Settings anzeigen
            SettingsPane.Show();
        }
    }
}
