﻿using PersonService.Models;
using RestDemo;
using System.Collections.Generic;
using System.Net;
using System.Web.Http;

namespace PersonService.Controllers
{
    public class PersonsController : ApiController
    {
        // GET PersonService/Persons
        public IEnumerable<Person> Get()
        {
            return PersonRepository.GetPersons();
        }

        // GET PersonService/Persons/5
        public Person Get(int id)
        {
            return PersonRepository.GetPerson(id);
        }

        // POST PersonService/Persons
        public Person Post([FromBody]Person person)
        {
            if (person != null && ModelState.IsValid)
            {
                return PersonRepository.UpdatePerson(person);
            }
            throw new HttpResponseException(HttpStatusCode.BadRequest);
        }

        // PUT PersonService/Persons
        public Person Put([FromBody]Person person)
        {
            if (person != null && ModelState.IsValid)
            {
                return PersonRepository.InsertPerson(person);
            }
            throw new HttpResponseException(HttpStatusCode.BadRequest);
        }

        // DELETE PersonService/Persons/5
        public void Delete(int id)
        {
            PersonRepository.DeletePerson(id);
        }
    }
}