﻿using PersonService.Models;
using RestDemo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace PersonService.Models
{
    public static class PersonRepository
    {
        private static List<Person> _list = new List<Person>()
            {
                new Person { Id = 1, FirstName = "Bob", LastName = "Miller" },
                new Person { Id = 2, FirstName = "Bill", LastName = "Grossmann" },
                new Person { Id = 3, FirstName = "Gil", LastName = "Meiers" },
                new Person { Id = 4, FirstName = "Tim", LastName = "Harrison" },
                new Person { Id = 5, FirstName = "Mary", LastName = "Stevens" }
            };

        public static List<Person> GetPersons()
        {
            return _list;
        }

        public static Person GetPerson(int id)
        {
            return (from p in _list where p.Id.Equals(id) select p).FirstOrDefault();
        }

        public static Person InsertPerson(Person person)
        {
            _list.Add(person);
            person.Id = PersonRepository.GetPersons().Max(p => p.Id) + 1;
            return person;
        }

        public static Person UpdatePerson(Person person)
        {
            var existingPerson = (from p in _list where p.Id.Equals(person.Id) select p).FirstOrDefault();
            if (existingPerson != null)
            {
                existingPerson.FirstName = person.FirstName;
                existingPerson.LastName = person.LastName;
                return existingPerson;
            }
            return person;
        }

        public static void DeletePerson(int id)
        {
            var person = (from p in _list where p.Id.Equals(id) select p).FirstOrDefault();
            if (person != null)
            {
                _list.Remove(person);
            }
        }
    }
}