﻿using System;
using System.Globalization;
using Windows.Devices.Geolocation;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Navigation;

namespace CapabilitiesDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private async void findLocationButton_Click(object sender, RoutedEventArgs e)
        {
            var locator = new Geolocator();
            var position = await locator.GetGeopositionAsync();

            var location = string.Format("Deine Koordinaten sind: {0} Longitude / {1} Latitude\n",
                position.Coordinate.Longitude, position.Coordinate.Latitude);
            if (string.IsNullOrWhiteSpace(position.CivicAddress.City))
            {
                location += "Die lokale Adresse ist zur Zeit nicht verfügbar.\n";
            }
            else
            {
                location += string.Format("Die Adresse ist: {0} {1}, {2}, {3}\n",
                    position.CivicAddress.PostalCode, position.CivicAddress.City,
                    position.CivicAddress.State, position.CivicAddress.Country);
            }
            location += string.Format("Die aktuelle Uhrzeit am Standort ist: {0}",
                position.CivicAddress.Timestamp.DateTime.ToString(new CultureInfo("de-DE")));

            this.locationTextBlock.Text = location;
        }
    }
}
