﻿using System;
using Windows.UI.Core;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace WindowDemo
{
    public sealed partial class MainPage : Page
    {
        private static object _lockObject = new object();
        private static MainPage _current;

        public MainPage()
        {
            this.InitializeComponent();
            _current = this;
        }
        protected async override void OnNavigatedTo(Windows.UI.Xaml.Navigation.NavigationEventArgs e)
        {
            var locator = new Windows.Devices.Geolocation.Geolocator();
            var position = await locator.GetGeopositionAsync();

            var location = string.Format("Deine Koordinaten sind: {0} Longitude / {1} Latitude\n",
                position.Coordinate.Longitude, position.Coordinate.Latitude);
            if (string.IsNullOrWhiteSpace(position.CivicAddress.City))
            {
                location += "Die lokale Adresse ist zur Zeit nicht verfügbar.\n";
            }
            else
            {
                location += string.Format("Die Adresse ist: {0} {1}, {2}, {3}\n",
                    position.CivicAddress.PostalCode, position.CivicAddress.City,
                    position.CivicAddress.State, position.CivicAddress.Country);
            }
            location += string.Format("Die aktuelle Uhrzeit am Standort ist: {0}",
                position.CivicAddress.Timestamp.DateTime.ToString());
        }

        internal void OutputMessage(string message)
        {
            this.outputTextBox.Text += message + Environment.NewLine;
        }

        public static MainPage Current
        {
            get
            {
                lock (_lockObject)
                {
                    if (_current == null)
                        _current = new MainPage();
                    return _current;
                }
            }
        }

        private async void writeAsyncButton_Click(object sender, RoutedEventArgs e)
        {
            // Fehler simulieren (zum Test des Unhandled Exception Handlers)
            //var i = 0;
            //var a = 1 / i;
            await Window.Current.Dispatcher.RunAsync(CoreDispatcherPriority.Normal,
                () => this.OutputMessage("Async message..."));
        }
    }
}
