﻿using System;
using Windows.Foundation;
using Windows.UI.Popups;
using Windows.UI.Xaml.Controls;

namespace AppBarDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void showAppBarButton_Click(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            this.BottomAppBar.IsOpen = true;
        }

        private async void Button_Click_1(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            var button = sender as Button;
            var transform = button.TransformToVisual(this);
            var point = transform.TransformPoint(new Point(0, 0));
            var menu = new PopupMenu();
            menu.Commands.Add(new UICommand("Menüpunkt 1", cmd => MenuAction(cmd.Label)));
            menu.Commands.Add(new UICommand("Menüpunkt 2", cmd => MenuAction(cmd.Label)));
            menu.Commands.Add(new UICommand("Menüpunkt 3", cmd => MenuAction(cmd.Label)));
            await menu.ShowAsync(point);
        }

        private async void MenuAction(string menuText)
        {
            await new MessageDialog(menuText).ShowAsync();
        }
    }
}
