﻿using System;
using System.Collections.ObjectModel;
using System.Linq;

namespace ListViewDragDropDemo
{
    public class DataStore
    {
        private ObservableCollection<Fruit> _items;

        public DataStore()
        {
            _items = new ObservableCollection<Fruit>()
            {
                new Fruit { Id = 1, Title = "Banana", ImageUri =  new Uri("ms-appx:///Assets/Banana.png") },
                new Fruit { Id = 2, Title = "Lemon", ImageUri =  new Uri("ms-appx:///Assets/Lemon.png") },
                new Fruit { Id = 3, Title = "Mint", ImageUri =  new Uri("ms-appx:///Assets/Mint.png") },
                new Fruit { Id = 4, Title = "Orange", ImageUri =  new Uri("ms-appx:///Assets/Orange.png") },
                new Fruit { Id = 5, Title = "Strawberry", ImageUri =  new Uri("ms-appx:///Assets/Strawberry.png") },
                new Fruit { Id = 6, Title = "Vanilla", ImageUri =  new Uri("ms-appx:///Assets/Vanilla.png") },
            };
        }

        public ObservableCollection<Fruit> GetItems()
        {
            return _items;
        }

        public Fruit GetItemById(int id)
        {
            return (from f in _items where f.Id == id select f).FirstOrDefault();
        }
    }
}
