﻿using System;
using System.ComponentModel;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Media.Imaging;

namespace ListViewDragDropDemo
{
    public class Fruit : INotifyPropertyChanged
    {
        private int _id;
        private string _title;
        private ImageSource _image;
        private Uri _imageUri;

        public int Id
        {
            get { return _id; }
            set { _id = value; this.OnPropertyChanged("Id"); }
        }

        public string Title
        {
            get { return this._title; }
            set { this._title = value; this.OnPropertyChanged("Title"); }
        }

        public ImageSource Image
        {
            get { return this._image; }
            set { this._image = value; this.OnPropertyChanged("Image"); }
        }

        public Uri ImageUri
        {
            get { return _imageUri; }
            set { _imageUri = value; this.OnPropertyChanged("ImageUri"); this.SetImage(_imageUri); }
        }

        public void SetImage(Uri uri)
        {
            this.Image = new BitmapImage(uri);
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
