﻿using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Navigation;

namespace MediaControlDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            media1.MediaOpened += OnMediaOpened;
            media1.DownloadProgressChanged += OnDownloadProgressChanged;
            media1.SeekCompleted += OnSeekCompleted;
        }

        private void OnMediaOpened(object sender, RoutedEventArgs e)
        {
            if (media1.CanSeek)
                media1.Position = new System.TimeSpan(0, 0, 10);
            else
                media1.Play();
        }

        private void OnDownloadProgressChanged(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            var p = System.Math.Round(this.media1.DownloadProgress, 1);
            this.bufferingTextBlock.Text = "Downloading: " + p.ToString() + "%";
        }

        private void OnSeekCompleted(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            media1.Play();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }
}
