﻿using System;
using Windows.UI.Popups;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Navigation;

namespace WebBrowserDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            this.webView1.LoadCompleted += this.OnLoadCompleted;
            this.webView1.ScriptNotify += this.OnScriptNotify;
        }

        private async void OnScriptNotify(object sender, NotifyEventArgs e)
        {
            await new MessageDialog("Die Seite wurde verlassen").ShowAsync();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            // Lokalen Content ausgeben:
            //this.webView1.NavigateToString("<HTML>Hallo!</HTML>");
        }

        private void OnLoadCompleted(object sender, NavigationEventArgs e)
        {
            //webViewBrush1.SourceName = "webView1";
            webViewBrush1.Redraw();
            // Ein Script-Event in die Seite einfügen (wird in OnScriptNotify behandelt)
            var func = "(function(){window.onbeforeunload=function(){window.external.notify('');};})();";
            webView1.InvokeScript("eval", new[] { func });
            
            // Benachrichtigungen der Seite an die App explizit erlauben
            this.webView1.AllowedScriptNotifyUris = new[] { e.Uri };

            // HTML der aktuellen Seite ermitteln:
            //var html = webView1.InvokeScript("eval", new string[] { "document.documentElement.outerHTML;" });
        }
    }
}
