﻿using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace CollectionViewDemo
{
    public abstract class ModelBase : INotifyPropertyChanged
    {
      public event PropertyChangedEventHandler PropertyChanged;
      protected void OnPropertyChanged([CallerMemberName]string propertyName=null)
      {
        if (this.PropertyChanged != null)
        {
          this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
      }
    }
}
