﻿using System;
using System.Collections.ObjectModel;
using Windows.UI.Popups;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace ComboBoxBindingDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            var departments = new ObservableCollection<Department>()
            {
              new Department { Name = "Finance" },
              new Department { Name = "Sales" },
              new Department { Name = "Service" }
            };
            this.departmentComboBox.ItemsSource = departments;

            var areas = new ObservableCollection<BusinessArea>()
            {
              new BusinessArea { Name = "Nord", Id = 1 },
              new BusinessArea { Name = "Süd", Id = 2 },
              new BusinessArea { Name = "Ost", Id = 3 },
              new BusinessArea { Name = "West", Id = 4 }
            };
            this.businessAreaComboBox.ItemsSource = areas;
            
            var p = new Person
            {
                FirstName = "Bob",
                LastName = "Stevens",
                Gender = Gender.Male,
                Department = departments[0],
                BusinessAreaId = 1
            };
            this.DataContext = p;
        }

        private async void showButton_Click(object sender, RoutedEventArgs e)
        {
            var p = this.DataContext as Person;
            await new MessageDialog(string.Format("Name:\t\t{0} {1}\nGeschlecht:\t{2}\nAbteilung:\t{3}\nBusiness Area:\t{4}",
                p.FirstName, p.LastName, (p.Gender == Gender.Male) ? "Mann" : "Frau", p.Department.Name, p.BusinessAreaId)).ShowAsync();
        }
    }
}
