﻿using System;
using System.ComponentModel;

namespace ComboBoxBindingDemo
{
    public class Person : ModelBase
    {
        private string _firstName;
        private string _lastName;
        private Gender _gender;
        private Department _department;
        private int _businessAreaId;

        public string FirstName
        {
            get { return _firstName; }
            set { _firstName = value; this.OnPropertyChanged(); }
        }

        public string LastName
        {
            get { return _lastName; }
            set { _lastName = value; this.OnPropertyChanged(); }
        }

        public Gender? Gender
        {
            get { return _gender; }
            set
            {
                if (value.HasValue)
                    _gender = value.Value;
            }
        }

        public Department Department
        {
            get { return _department; }
            set { _department = value; this.OnPropertyChanged(); }
        }

        public int BusinessAreaId
        {
            get { return _businessAreaId; }
            set { _businessAreaId = value; this.OnPropertyChanged(); }
        }
    }

    public enum Gender
    {
        Male,
        Female
    }
}
