﻿using System;
using Windows.UI.Xaml.Data;

namespace ObjectBindingDemo
{
    public class DateTimeToShortDateConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            if (value != null)
            {
                DateTime dateTimeValue;
                if (DateTime.TryParse(value.ToString(), out dateTimeValue))
                {
                    if (language.ToLower() == "de")
                    {
                        if (parameter.ToString() == "LongDate")
                            return dateTimeValue.ToString("dd. MMMM yyyy");
                        return dateTimeValue.ToString("dd.MM.yy");
                    }
                    else
                    {
                        if (parameter.ToString() == "LongDate")
                            return dateTimeValue.ToString("dddd, MMMM d, yyyy");
                        return dateTimeValue.ToString("MM/d/yyyy");
                    }
                }
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            if (value != null)
            {
                DateTime dateTimeValue;
                if (DateTime.TryParse(value.ToString(), out dateTimeValue))
                {
                    return dateTimeValue;
                }
            }
            return DateTime.Now;
        }
    }
}
