﻿using System;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

namespace ObjectBindingDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            var p = new Person { FirstName = "Jörg", LastName = "Neumann", Birthday = new DateTime(1971, 7, 29) };

            // Binding über XAML und DataContext herstellen
            this.DataContext = p;

            // Alternativ: Die Bindung vollständig per Code herstellen
            //var firstNameBinding = new Binding();
            //firstNameBinding.Source = p;
            //firstNameBinding.Path = new PropertyPath("FirstName");
            //this.firstNameTextBox.SetBinding(TextBox.TextProperty, firstNameBinding);
            //var lastNameBinding = new Binding();
            //lastNameBinding.Source = p;
            //lastNameBinding.Path = new PropertyPath("LastName");
            //this.lastNameTextBox.SetBinding(TextBox.TextProperty, lastNameBinding);
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void changeButton_Click(object sender, RoutedEventArgs e)
        {
            var p = this.DataContext as Person;
            p.FirstName += "*";
        }
    }
}
